#!/usr/local/bin/perl

print "Content-type: text/html", "\n\n"  ;

$request_method=$ENV{'REQUEST_METHOD'} ;

if ($request_method eq "GET") {
$query_string=$ENV{'QUERY_STRING'}
} else {
$size_of_form=$ENV{'CONTENT_LENGTH'} ;
read(STDIN, $query_string, $size_of_form) ;
}

# Split the name-value pairs
@pairs = split(/&/, $query_string);

foreach $pair (@pairs) {
	($name, $value) = split(/=/, $pair);
	# Un-Webify plus signs and %-encoding
	$value =~ tr/+/ /;
	# Get rid of all non-alpha/numeric stuff esp " ' ,
	$value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
	# $value =~ s/['|"|`|,]//g;
	# Stop people from using subshells to execute commands
	# when using UCB mail (aka mailx).
	$value =~ s/~!/ ~!/g;
	$FORM{$name}=$value ;
}

$now=time ;

$domain=$FORM{domain}  ;

print <<ENUF;
<HTML>
<TITLE>
ChatSign - Chats Waiting for $FORM{domain}
</TITLE>
<BODY>
<CENTER>
<B><font face=\"Arial, Helvetica, sans-serif\" size=\"2\">ChatSign - Chats Waiting for $FORM{domain}</B>
</BODY>
</HTML>
ENUF
exit (0) ;
