#!/usr/local/bin/perl

print "Content-type: text/html", "\n\n"  ;

# Set up knowledge of data and executable dirs

use TimeUtilities ;
use ChatSign ;
$data_basedir=ChatSign::data_basedir ;
$URLdir_executables=ChatSign::URLdir_executables ;

$request_method=$ENV{'REQUEST_METHOD'} ;

if ($request_method eq "GET") {
$query_string=$ENV{'QUERY_STRING'} ;
exit (1) ;
} else {
$size_of_form=$ENV{'CONTENT_LENGTH'} ;
read(STDIN, $query_string, $size_of_form) ;
}

# Split the name-value pairs
@pairs = split(/&/, $query_string);

foreach $pair (@pairs) {
	($name, $value) = split(/=/, $pair);
	# Un-Webify plus signs and %-encoding
	$value =~ tr/+/ /;
	# Get rid of all non-alpha/numeric stuff esp " ' ,
	$value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
	# $value =~ s/['|"|`|,]//g;
	# Stop people from using subshells to execute commands
	# when using UCB mail (aka mailx).
	$value =~ s/~!/ ~!/g;
	$FORM{$name}=$value ;
}

$now=time ;

$operators="$data_basedir/operators.dat" ;

open (PASSWD,$operators) || die "Cannot open $operators file\n" ;
while (<PASSWD>) {
	chomp ;
	($operator,$password,$email_address)=split(/,/) ;
	if ($operator eq $FORM{operator}) {
		$matched=1 ;
		unless ($password eq $FORM{password}) {
			&wrong_username_or_password ;
		}
	}	
}

unless ($matched) { &wrong_username_or_password ; }

print <<ENUF;
<HTML>
<HEAD>
<SCRIPT Language="JavaScript">
function stop_closing()
{
window.open("$URLdir_executables/operator_chats_waiting.pl?operator=$FORM{operator}","_blank","toolbar=no,location=no,directories=no,status=no,menubar=no,resizable=yes,height=600,width=600") ;
}
</SCRIPT>
</HEAD>
<FRAMESET onUnload="stop_closing()" rows="110,*">
        <FRAME SCROLLING=auto NAME="$FORM{operator}.header" SRC="$URLdir_executables/operator_greeting.pl?operator=$FORM{operator}">
        <FRAME SCROLLING=auto NAME="$FORM{operator}.footer" SRC="$URLdir_executables/operator_chats_waiting.pl?operator=$FORM{operator}">
</FRAMESET>
</HTML>
ENUF
exit (0) ;

sub wrong_username_or_password {
	print "Either the username [$FORM{operator}] or the password [$FORM{password}] you entered was incorrect.<BR>Please check both and change one before trying again." ;
	exit (0) ;
}
